# mongoc_apm_server_heartbeat_failed_get_duration()

## Synopsis

    int64_t
    mongoc_apm_server_heartbeat_failed_get_duration (
       const mongoc_apm_server_heartbeat_failed_t *event);

Returns this event’s duration in microseconds.

## Parameters

- `event`: A mongoc_apm_server_heartbeat_failed_t.

## Returns

The event’s duration.

See also

Introduction to Application Performance Monitoring